import React  from 'react';
import logo from './logo.svg';
import './App.css';
import {Provider, connect}   from 'react-redux';
import store from './reducers'
import { CounterView, Counter, ConnectedBIGTABLO, ConnectedCounter, ConnectedBigButton } from './components'
import {Router, Route, Link, Switch, Redirect} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";

const history = createHistory()

setTimeout(() => history.push('/counters/100/300'), 5000)

const PageCounters= ({match: {params: {a, b}}}) =>
    <>
        <ConnectedBigButton />
        {console.log(a, b)}
                <CounterView value={a} />
                {+a + +b}
                <Counter />
                <Counter />
                <Counter />
                <ConnectedBIGTABLO />
                <ConnectedCounter />
                <ConnectedCounter />
                <ConnectedCounter />
                <ConnectedCounter />
                <ConnectedCounter />
                <ConnectedCounter />
    </>

const Header = connect(st => ({auth: {}}))(({auth}) => 
<header>
    <Link to="/">D2</Link>
    <Link to="/counters/5/2">S4et4icks (5, 2)</Link>
    <Link to="/counters/7/12">S4et4icks (7, 12)</Link>
    {!auth.decoded && <Link to="/login">Login</Link>}
    {auth.decoded && <Link to="/logout">Logout</Link>}
    {auth.decoded && <Link to="/new">New...</Link>}
</header>)

export const Menu = ({}) => <aside style={{float: 'left', width: '33%'}}>Aside</aside>

const PageMain = () => <h1>Main</h1>
const Page404 = () => <h1>404 not found</h1>

export const Content = ({}) => 
<content style={{float: 'left',width: '66%' }}>
    <Switch>
        <Route path="/" component={PageMain} exact />
        <Route path="/counters/:a/:b" component={PageCounters} exact />
        <Route component={Page404} />
    </Switch>
</content>

export const Footer = ({}) => <footer>Footer</footer>




export default () => {
    //setTimeout(() => setA(a +1), 2000)
    return (
        <Provider store={store}>
            <Router history={history}>
        <Redirect from="/главная" to="/"/>
                <Header />
                <Menu />
                <Content />
                <Footer />
            </Router>
        </Provider>
    )
}
